Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.viewers
Interface IPostSelectionProvider

All Superinterfaces:
  ISelectionProvider

All Known Implementing Classes:
  StructuredViewer, TextViewer

public interface IPostSelectionProvider
extends ISelectionProvider

Selection provider extension interface to allow providers to notify about post selection changed events. A post selection changed event is equivalent to selection changed event if the selection change was triggered by the mouse, but it has a delay if the selection change is triggered by keyboard navigation.

Since:
  3.0
See Also:
  `ISelectionProvider`

Method Summary
`void` | `addPostSelectionChangedListener(ISelectionChangedListener listener)` Adds a listener for post selection changes in this selection provider.
`void` | `removePostSelectionChangedListener(ISelectionChangedListener listener)` Removes the given listener for post selection changes from this selection provider.

Methods inherited from interface org.eclipse.jface.viewers.ISelectionProvider
`addSelectionChangedListener, getSelection, removeSelectionChangedListener, setSelection`

Method Detail

### addPostSelectionChangedListener

    public void addPostSelectionChangedListener(ISelectionChangedListener listener)

  Adds a listener for post selection changes in this selection provider. Has no effect if an identical listener is already registered.

  Parameters:
    `listener` - a selection changed listener

### removePostSelectionChangedListener

    public void removePostSelectionChangedListener(ISelectionChangedListener listener)

  Removes the given listener for post selection changes from this selection provider. Has no affect if an identical listener is not registered.

  Parameters:
    `listener` - a selection changed listener

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.